Get Checkout

Returns a *Checkout*. The cart ID and checkout ID are the same. > #### Note > * Substitute your storefront domain for `yourstore.example.com`. > * The Send a Test Request feature is not currently supported for this endpoint. > * This endpoint requires using Stencil CLI, a local session, and a csrf token to work.

Path parameters

checkoutIdstringRequired

Query parameters

includelist of enumsOptional
* `cart.lineItems.physicalItems.options` - physical options * `cart.lineItems.digitalItems.options` - digital options * `cart.lineItems.physicalItems.categoryNames` - physical categories * `cart.lineItems.digitalItems.categoryNames` - digital categories * `cart.lineItems.customItems.categoryNames` - custom categories * `customer` - customer * `customer.customerGroup` - customer group * `payments` - payments * `promotions` - promotions * `consignments.availableShippingOptions` - shipping options * `consignments.availablePickupOptions` - pickup options

Response

billingAddressobject
cartobject

A cart contains a collection of items, prices, discounts, etc. It does not contain customer-related data.

channelIdinteger
Channel ID.
consignmentslist of objects
couponslist of objects
Coupons applied at the checkout level.
feeslist of objects
Fees applied at the checkout level.
createdTimestring
Time when the cart was created.
customerobject
Customer details.
customerMessagestring

Shopperʼs message provided as details for the order to be created from this cart

giftCertificateslist of objects

Applied gift certificate (as a payment method).

giftWrappingCostTotaldouble
Gift wrapping cost for all items, including or excluding tax.
grandTotaldouble
The total payable amount, before applying any store credit or gift certificate.
handlingCostTotaldouble
Handling cost for all consignments including or excluding tax.
idstringformat: "uuid"
isStoreCreditAppliedboolean

true value indicates StoreCredit has been applied.

orderIdstring or null
outstandingBalancedouble

grandTotal subtract the store-credit amount

paymentslist of objects
promotionslist of objects
shippingCostBeforeDiscountdouble
Total shipping cost for the checkout before discounts are applied.
comparisonShippingCostdouble
Total shipping cost for the checkout after automatic promotions are applied.
shippingCostTotaldouble
Shipping cost before any discounts are applied.
shouldExecuteSpamCheckboolean
subtotaldouble

Subtotal of the checkout before applying item-level discounts. Tax inclusive based on the store settings.

taxeslist of objects
taxTotaldouble
updatedTimestring
Time when the cart was last updated.
versioninteger
The current version of the checkout increments with each successful update. You can use it to enable optimistic concurrency control for subsequent updates.

Errors

400
Bad Request Error